<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package ethrik
 */

get_header();

?>


	<?php 

	//Single Blog Template
	
	$ethrik_singleb_global = ethrik_get_option( 'ethrik_single_blog_layout' ); //for globally	
	$ethrik_single_post_style = get_post_meta( get_the_ID(),'ethrik_blog_post_meta', true );

	$theme_post_meta_single = isset($ethrik_single_post_style['ethrik_single_blog_layout']) && !empty($ethrik_single_post_style['ethrik_single_blog_layout']) ? $ethrik_single_post_style['ethrik_single_blog_layout'] : '';
	
	if( is_single() && !empty( $ethrik_single_post_style  ) ) {
	 
		get_template_part( 'template-parts/single/'.$theme_post_meta_single.'' ); 
	
	} elseif ( class_exists( 'CSF' ) && !empty( $ethrik_singleb_global ) ) {
		
		get_template_part( 'template-parts/single/'.$ethrik_singleb_global.'' );  
		
	} else {
		
		get_template_part( 'template-parts/single/single-one' );  
	}
		
	?>


<?php get_footer(); ?>
